This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 849833 - new bug (or forced re-open) needed when dup crosses releases
new bug (or forced re-open) needed when dup crosses releases
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
x86_64 Linux
medium Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
: 849835 863667 873435 (view as bug list)
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2012-08-21 01:12 EDT by John Reiser
Modified: 2013-10-01 07:45 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-08-21 01:12:23 EDT
Description of problem: A new bug should be filed when the product Release and package point version differ from a "dup" in an old Release, paricularly if the old Release is end-of-life.  The bug has been re-incarnated, but the current abrt still considers the bug to be dead.


Version-Release number of selected component (if applicable):
abrt-2.0.10

How reproducible:


Steps to Reproduce:
1. abrt claims that bug 849821 is a dup of bug 729732, even though the two n-v-r are
  1.3.0-6.fc17
  1.2.2-1.fc15
which are quite different (two Fedora Releases, a major Thunar release).
2.
3.
  
Actual results: "dup" based on hash ignores cross-Release changes


Expected results: Differing Release causes new bug, or at least re-open of old bug.  (Note that bugzilla ordinarily requires that only the original Reporter can re-open a Closed bug.  This is too stringent a condition when the Fedora Release changes.)


Additional info:
Comment 1 andri yanto 2012-08-22 22:04:19 EDT
*** Bug 849835 has been marked as a duplicate of this bug. ***
Comment 2 Denys Vlasenko 2012-10-22 07:48:11 EDT
Fixed in git:

commit 6846cc45fb09430d1ef8144d9a729d2160ca2426
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Mon Oct 22 13:46:46 2012 +0200

    reporter-bz: require bz version match when searching for dups
Comment 3 Fedora Update System 2012-10-24 10:44:06 EDT
abrt-2.0.17-1.fc17,libreport-2.0.17-1.fc17,btparser-0.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.17-1.fc17,libreport-2.0.17-1.fc17,btparser-0.21-1.fc17
Comment 4 Fedora Update System 2012-10-24 19:55:03 EDT
Package abrt-2.0.17-1.fc17, libreport-2.0.17-1.fc17, btparser-0.21-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.17-1.fc17 libreport-2.0.17-1.fc17 btparser-0.21-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16846/abrt-2.0.17-1.fc17,libreport-2.0.17-1.fc17,btparser-0.21-1.fc17
then log in and leave karma (feedback).
Comment 5 Jakub Filak 2012-10-26 05:47:12 EDT
*** Bug 870371 has been marked as a duplicate of this bug. ***
Comment 6 Mads Kiilerich 2012-10-26 05:53:05 EDT
(In reply to comment #2)
> Fixed in git:
> 
> commit 6846cc45fb09430d1ef8144d9a729d2160ca2426
> Author: Denys Vlasenko <vda.linux@googlemail.com>
> Date:   Mon Oct 22 13:46:46 2012 +0200
> 
>     reporter-bz: require bz version match when searching for dups

It looks like http://git.fedorahosted.org/cgit/abrt.git/commit/?id=47d1b1f75f7f4e8b98a03bfa6ad6d1348bdb5242 just added a test case?
Comment 7 Jakub Filak 2012-10-26 06:08:22 EDT
(In reply to comment #6)
> (In reply to comment #2)
> > Fixed in git:
> > 
> > commit 6846cc45fb09430d1ef8144d9a729d2160ca2426
> > Author: Denys Vlasenko <vda.linux@googlemail.com>
> > Date:   Mon Oct 22 13:46:46 2012 +0200
> > 
> >     reporter-bz: require bz version match when searching for dups
> 
> It looks like
> http://git.fedorahosted.org/cgit/abrt.git/commit/
> ?id=47d1b1f75f7f4e8b98a03bfa6ad6d1348bdb5242 just added a test case?

It is a fix for the bugzilla-dupe-search integration tests. The test had to be fixed because the test were developed according the old behaviour which has been modified by the commit 6846cc45fb09430d1ef8144d9a729d2160ca2426.
Comment 8 Mads Kiilerich 2012-10-26 06:19:59 EDT
(In reply to comment #7)
> has been modified by the commit 6846cc45fb09430d1ef8144d9a729d2160ca2426.

FWIW, I cannot find this commit anywhere.
Comment 9 Jakub Filak 2012-10-26 06:47:23 EDT
My bad, it is a commit in libreport's git.

http://git.fedorahosted.org/cgit/libreport.git/commit/?id=6846cc45fb09430d1ef8144d9a729d2160ca2426
Comment 10 Yann Droneaud 2012-10-26 06:57:05 EDT
Hum, is uReport having precedence over bugzilla reporter ?
If I'm making the report manually, abrt seems to allow me to open a new bug, but when the crash is reported by the notification applet, it tells me it's already reported (bug #723076) and doesn't let me open a new one. (Note: I removed every other crash report directory before testing).
Comment 11 Jakub Filak 2012-10-26 07:27:25 EDT
(In reply to comment #10)
> Hum, is uReport having precedence over bugzilla reporter ?
> If I'm making the report manually, abrt seems to allow me to open a new bug,
> but when the crash is reported by the notification applet, it tells me it's
> already reported (bug #723076) and doesn't let me open a new one. (Note: I
> removed every other crash report directory before testing).

It is a long-term goal [1] to provide the solution if the ABRT server [2] knows symptoms of a crash.

[1] : https://fedoraproject.org/wiki/Features/SimplifiedCrashReporting
[2] : https://retrace.fedoraproject.org/faf/summary/
Comment 12 Yann Droneaud 2012-10-26 09:35:50 EDT
(In reply to comment #10)
> Hum, is uReport having precedence over bugzilla reporter ?
> If I'm making the report manually, abrt seems to allow me to open a new bug,
> but when the crash is reported by the notification applet, it tells me it's
> already reported (bug #723076) and doesn't let me open a new one. (Note: I
> removed every other crash report directory before testing).

It's indeed ureport which is first used and I also think that my crash dump is related to bug #723076.

When I ran reporter-ureport manually from the crash dump directory, I'm getting this:

  [root@dworkin ccpp-2012-10-26-12:18:01-1807]# /usr/bin/reporter-ureport -v 
  Locked './.lock'
  Unlocked './.lock'
  warning: 'uptime' is not an item in problem directory
  is known: true
  Locked './.lock'
  Unlocked './.lock'
  This problem has already been reported.
  https://retrace.fedoraproject.org/faf/reports/20369/
  https://bugzilla.redhat.com/show_bug.cgi?id=723076
  THANKYOU


The last 4 four lines are those I got through the abrt's applet. This why I wasn't able to use the new feature from test ("reporter-bz: require bz version match when searching for dups" feature).

So the fix applied to bugzilla support should be also applied in a way or another to ureport. Otherwise, the fix on bugzilla reported is useless for average users.

Regards.
Comment 13 Fedora Update System 2012-11-01 09:55:23 EDT
abrt-2.0.18-1.fc17,libreport-2.0.18-1.fc17,btparser-0.22-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.18-1.fc17,libreport-2.0.18-1.fc17,btparser-0.22-1.fc17
Comment 14 Jiri Moskovcak 2012-11-01 10:25:58 EDT
Re: comment#12 - yes, bz-plugin should apply the new logic even to the results comming from ureport, the current logic just looks at the result and if there is a bz number then it bails out thinking that ureport found the correct one.
Comment 15 Fedora Update System 2012-11-01 23:24:38 EDT
Package abrt-2.0.18-1.fc17, libreport-2.0.18-1.fc17, btparser-0.22-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.18-1.fc17 libreport-2.0.18-1.fc17 btparser-0.22-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17495/abrt-2.0.18-1.fc17,libreport-2.0.18-1.fc17,btparser-0.22-1.fc17
then log in and leave karma (feedback).
Comment 16 Jiri Moskovcak 2012-11-02 04:10:17 EDT
This is not fixed yet, please see the comment#12
Comment 17 Jiri Moskovcak 2012-11-06 03:10:41 EST
*** Bug 873435 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Filak 2012-12-10 09:11:53 EST
*** Bug 863667 has been marked as a duplicate of this bug. ***
Comment 19 Stuart D Gathman 2012-12-10 10:53:32 EST
Just confirmed still not fixed yet with abrt-2.0.18-1.fc17
Comment 20 Stuart D Gathman 2012-12-10 10:55:58 EST
Also, I tried cloning the original bug (bug#720467) and re-reporting from abrt.  That does not work - abrt still finds only the original bug and won't add backtraces, etc, to clone (bug#885776).
Comment 21 Fedora End Of Life 2013-07-04 02:41:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 darton 2013-07-13 05:41:23 EDT
There are similar issues reported: bug 681385, bug 984176.
Comment 23 Fedora End Of Life 2013-08-01 14:17:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Jaroslav Reznik 2013-09-16 09:58:39 EDT
In relation to this bug, I was asked by Jakub Filak how EOL is processed. Very dumb script that process CSV file exported from Bugzilla (with matching criteria) is used, that I inherited from Bugzappers team (for sources, take a look on https://git.fedorahosted.org/cgit/fedora-project-schedule.git/tree/scripts/closebugs ). The race is possible as the script runs for quite a long time (could be even two days) and there are no checks if the processed bug changed. We decided not to change it as it affects only a few bugs and it could fixed manually by maintainers. I'll be more than happy if somebody would provide a better, clever one :)
Comment 25 Jakub Filak 2013-10-01 07:45:26 EDT
The problem mentioned in comment #12 must be fixed on server side. See https://github.com/abrt/faf/issues/206

Note You need to log in before you can comment on or make changes to this bug.